%define upstream_name    HTML-Strip
%define upstream_version 2.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl extension for stripping HTML markup from text
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
This module simply strips HTML-like markup from text in a very quick and
brutal manner. It could quite easily be used to strip XML or SGML from text
as well; but removing HTML markup is a much more common problem, hence this
module lives in the HTML:: namespace.

It is written in XS, and thus about five times quicker than using regular
expressions for the same task.

It does _not_ do any syntax checking (if you want that, use the
HTML::Parser manpage), instead it merely applies the following rules:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 2.120.0-3.mga10
+ Revision: 2088063
- Rebuild against new perl

* Wed Nov 29 2023 tv <tv> 2.120.0-2.mga10
+ Revision: 2011132
- Rebuild for perl-5.38

* Wed Aug 30 2023 tv <tv> 2.120.0-1.mga10
+ Revision: 1981091
- update to 2.12

* Tue Jun 07 2022 umeabot <umeabot> 2.100.0-13.mga9
+ Revision: 1861923
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 2.100.0-12.mga9
+ Revision: 1795787
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 2.100.0-11.mga9
+ Revision: 1726713
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 2.100.0-10.mga8
+ Revision: 1594809
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 2.100.0-9.mga8
+ Revision: 1529491
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 2.100.0-8.mga8
+ Revision: 1433654
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 2.100.0-7.mga7
+ Revision: 1293182
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 2.100.0-6.mga7
+ Revision: 1249450
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 2.100.0-5.mga7
+ Revision: 1164825
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 2.100.0-4.mga7
+ Revision: 1148948
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 2.100.0-3.mga7
+ Revision: 1127558
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 2.100.0-2.mga6
+ Revision: 1028302
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 2.100.0-1.mga6
+ Revision: 1007879
- update to 2.10

* Fri Feb 12 2016 umeabot <umeabot> 2.90.0-2.mga6
+ Revision: 957506
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 2.90.0-1.mga6
+ Revision: 843210
- update to 2.09

* Wed Oct 15 2014 umeabot <umeabot> 1.60.0-10.mga5
+ Revision: 744507
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.60.0-9.mga5
+ Revision: 684962
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.60.0-8.mga5
+ Revision: 631236
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.60.0-7.mga4
+ Revision: 524842
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.60.0-6.mga4
+ Revision: 431575
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.60.0-5.mga3
+ Revision: 368129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.60.0-4.mga3
+ Revision: 250756
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 1.60.0-3.mga2
+ Revision: 104659
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 1.60.0-2.mga1
+ Revision: 30496
- mageia rebuild
- imported package perl-HTML-Strip

